# Poco::Data

# class PooledSessionImpl

Library: Data
Package: SessionPooling
Header: Poco/Data/PooledSessionImpl.h

## Description

PooledSessionImpl is a decorator created by SessionPool that adds session pool management to SessionImpl objects.

## Inheritance

Direct Base Classes: SessionImpl

All Base Classes: SessionImpl, Poco::RefCountedObject

## Member Summary

Member Functions: access, begin, close, commit, createStatementImpl, getFeature, getProperty, impl, isConnected, isTransaction, rollback, setFeature, setProperty

Inherited Functions: begin, close, commit, createStatementImpl, duplicate, getFeature, getProperty, isConnected, isTransaction, referenceCount, release, rollback, setFeature, setProperty

## Constructors

### PooledSessionImpl

PooledSessionImpl(
PooledSessionHolder * pHolder
);

Creates the PooledSessionImpl.

## Destructor

### ~PooledSessionImpl

~PooledSessionImpl();

Destroys the PooledSessionImpl.

## Member Functions

### begin

void begin();

See also: Poco::Data::SessionImpl::begin()

### close

void close();

See also: Poco::Data::SessionImpl::close()

### commit

void commit();

See also: Poco::Data::SessionImpl::commit()

### createStatementImpl

StatementImpl * createStatementImpl();

See also: Poco::Data::SessionImpl::createStatementImpl()

### getFeature

bool getFeature(
const std::string & name
);

See also: Poco::Data::SessionImpl::getFeature()

### getProperty

Poco::Any getProperty(
const std::string & name
);

See also: Poco::Data::SessionImpl::getProperty()

### isConnected

bool isConnected();

See also: Poco::Data::SessionImpl::isConnected()

### isTransaction

bool isTransaction();

See also: Poco::Data::SessionImpl::isTransaction()

### rollback

void rollback();

See also: Poco::Data::SessionImpl::rollback()

### setFeature

void setFeature(
const std::string & name,
bool state
);

See also: Poco::Data::SessionImpl::setFeature()

### setProperty

void setProperty(
const std::string & name,
const Poco::Any & value
);

See also: Poco::Data::SessionImpl::setProperty()

### access

SessionImpl * access();

Updates the last access timestamp, verifies validity of the session and returns the session if it is valid.

Throws an SessionUnavailableException if the session is no longer valid.

### impl

SessionImpl * impl();

Returns a pointer to the SessionImpl.